/**
 *
 */
package de.intevation.gnv.artifactdatabase.objects;
/**
 * @author Tim Englich <tim.englich@intevation.de>
 *
 */
public class Artifact implements ArtifactObject {

    private String id = null;
    private String hash = null;
    private boolean selected = false;
    /**
     * Constructor
     */
    public Artifact(String uuid, String hash) {
        
        this.id = uuid;
        this.hash = hash;
    }

    /**
     * @see de.intevation.gnv.artifactdatabase.objects.ArtifactObject#getHash()
     */
    public String getHash() {
        return this.hash;
    }

    /**
     * @see de.intevation.gnv.artifactdatabase.objects.ArtifactObject#getDescription()
     */
    public String getDescription() {
        return this.id;
    }

    /**
     * @see de.intevation.gnv.artifactdatabase.objects.ArtifactObject#getId()
     */
    public String getId() {
        return this.id;
    }

    /**
     * @see de.intevation.gnv.artifactdatabase.objects.ArtifactObject#getName()
     */
    public String getName() {
        return this.id;
    }

    /**
     * @see de.intevation.gnv.artifactdatabase.objects.ArtifactObject#isSelected()
     */
    public boolean isSelected() {
        return this.selected;
    }

    /**
     * @see de.intevation.gnv.artifactdatabase.objects.ArtifactObject#setSelected(boolean)
     */
    public void setSelected(boolean selected) {
        this.selected = selected;
    }

}
